Textpattern Forum

You are not logged in. Register | Login | Help

#1 2011-08-18 01:40:45

duchamp
Member
From: Patagonia
Registered: 2005-02-03
Posts: 222
Website

Nightmare after upgrade from 4.0.6 (r2805) to 4.4.1 (r3575)

I was searching other threads for some minutes but didn’t find a solution.
A website I created 3 or 4 years ago started to have some kind of problems showing error messages in the front page (its a live website) and in the Admin Page, things like:

Deprecated: Function set_magic_quotes
Deprecated: Function Split()

at first I thought it was some kind of error in the hosting config, so I called the admin but he says everything is right.
I decided to upgrade TXP to the latest version, so I replaced all the required files leaving config.php safe
and after that things got worse!
Just to check if my Textpattern version is working right, I did a clean install in my localhost (Xampp) and there’s no troubles with that!
It works pretty well! So … there’s some misunderstanding between Textpattern and the hosting config.
It’s the first time (after years) that I’m having troubles with a TXP upgrade or installation.

This is almost all the diagnostic info:

Textpattern version: 4.4.1 (r3575)
Last Update: 2011-08-17 22:31:49/2011-08-17 23:12:09
Document root: /var/www/vhosts/mysite.com/httpdocs
$path_to_site: /var/www/vhosts/mysite.com/httpdocs
Textpattern path: /var/www/vhosts/mysite.com/httpdocs/textpattern
Permanent link mode: section_title
open_basedir: /var/www/vhosts/mysite.com/httpdocs:/tmp
Temporary directory path: /tmp
Site URL: www.mysite.com
PHP version: 5.3.6
GD Image Library: bundled (2.0.34 compatible); supported formats: GIF, JPG, PNG.
Server TZ: America/Buenos_Aires
Server Local Time: 2011-08-17 20:00:24
DST enabled?: 0
Automatically adjust DST setting?: 0
Time Zone: America/Argentina/Buenos_Aires (-21600)
MySQL: 5.1.57
Locale: en_GB.UTF-8
Server: Apache/2.2.3 (CentOS)
Apache version: Apache/2.2.3 (CentOS)
PHP Server API: apache2handler
RFC 2616 headers:
Server OS: Linux 2.6.18-238.12.1.el5
Admin-side theme: classic 4.4.1
Pre-flight check:
————————————
Some Textpattern files have been modified: /var/www/vhosts/mysite.com/httpdocs/index.php, /var/www/vhosts/mysite.com/httpdocs/css.php, /var/www/vhosts/mysite.com/httpdocs/textpattern/css.php, /var/www/vhosts/mysite.com/httpdocs/textpattern/include/import/import_b2.php, /var/www/vhosts/mysite.com/httpdocs/textpattern/include/import/import_blogger.php, /var/www/vhosts/mysite.com/httpdocs/textpattern/include/import/import_mt.php, /var/www/vhosts/mysite.com/httpdocs/textpattern/include/import/import_mtdb.php, /var/www/vhosts/mysite.com/httpdocs/textpattern/include/import/import_wp.php, /var/www/vhosts/mysite.com/httpdocs/textpattern/include/txp_admin.php, /var/www/vhosts/mysite.com/httpdocs/textpattern/include/txp_article.php, /var/www/vhosts/mysite.com/httpdocs/textpattern/include/txp_auth.php, /var/www/vhosts/mysite.com/httpdocs/textpattern/include/txp_category.php, /var/www/vhosts/mysite.com/httpdocs/textpattern/include/txp_css.php, /var/www/vhosts/mysite.com/httpdocs/textpattern/include/txp_diag.php, /var/www/vhosts/mysite.com/httpdocs/textpattern/include/txp_discuss.php, /var/www/vhosts/mysite.com/httpdocs/textpattern/include/txp_file.php, /var/www/vhosts/mysite.com/httpdocs/textpattern/include/txp_form.php, /var/www/vhosts/mysite.com/httpdocs/textpattern/include/txp_image.php, /var/www/vhosts/mysite.com/httpdocs/textpattern/include/txp_import.php, /var/www/vhosts/mysite.com/httpdocs/textpattern/include/txp_link.php, /var/www/vhosts/mysite.com/httpdocs/textpattern/include/txp_list.php, /var/www/vhosts/mysite.com/httpdocs/textpattern/include/txp_log.php, /var/www/vhosts/mysite.com/httpdocs/textpattern/include/txp_page.php, /var/www/vhosts/mysite.com/httpdocs/textpattern/include/txp_plugin.php, /var/www/vhosts/mysite.com/httpdocs/textpattern/include/txp_prefs.php, /var/www/vhosts/mysite.com/httpdocs/textpattern/include/txp_section.php, /var/www/vhosts/mysite.com/httpdocs/textpattern/include/txp_tag.php, /var/www/vhosts/mysite.com/httpdocs/textpattern/index.php, /var/www/vhosts/mysite.com/httpdocs/textpattern/jquery.js, /var/www/vhosts/mysite.com/httpdocs/textpattern/lib/IXRClass.php, /var/www/vhosts/mysite.com/httpdocs/textpattern/lib/admin_config.php, /var/www/vhosts/mysite.com/httpdocs/textpattern/lib/class.thumb.php, /var/www/vhosts/mysite.com/httpdocs/textpattern/lib/classTextile.php, /var/www/vhosts/mysite.com/httpdocs/textpattern/lib/constants.php, /var/www/vhosts/mysite.com/httpdocs/textpattern/lib/taglib.php, /var/www/vhosts/mysite.com/httpdocs/textpattern/lib/txplib_admin.php, /var/www/vhosts/mysite.com/httpdocs/textpattern/lib/txplib_db.php, /var/www/vhosts/mysite.com/httpdocs/textpattern/lib/txplib_forms.php, /var/www/vhosts/mysite.com/httpdocs/textpattern/lib/txplib_head.php, /var/www/vhosts/mysite.com/httpdocs/textpattern/lib/txplib_html.php, /var/www/vhosts/mysite.com/httpdocs/textpattern/lib/txplib_misc.php, /var/www/vhosts/mysite.com/httpdocs/textpattern/lib/txplib_theme.php, /var/www/vhosts/mysite.com/httpdocs/textpattern/lib/txplib_update.php, /var/www/vhosts/mysite.com/httpdocs/textpattern/lib/txplib_wrapper.php, /var/www/vhosts/mysite.com/httpdocs/textpattern/publish.php, /var/www/vhosts/mysite.com/httpdocs/textpattern/publish/atom.php, /var/www/vhosts/mysite.com/httpdocs/textpattern/publish/comment.php, /var/www/vhosts/mysite.com/httpdocs/textpattern/publish/log.php, /var/www/vhosts/mysite.com/httpdocs/textpattern/publish/rss.php, /var/www/vhosts/mysite.com/httpdocs/textpattern/publish/search.php, /var/www/vhosts/mysite.com/httpdocs/textpattern/publish/taghandlers.php, /var/www/vhosts/mysite.com/httpdocs/textpattern/textpattern.js, /var/www/vhosts/mysite.com/httpdocs/textpattern/theme/classic/classic.php, /var/www/vhosts/mysite.com/httpdocs/textpattern/update/_to_1.0.0.php, /var/www/vhosts/mysite.com/httpdocs/textpattern/update/_to_4.0.2.php, /var/www/vhosts/mysite.com/httpdocs/textpattern/update/_to_4.0.3.php, /var/www/vhosts/mysite.com/httpdocs/textpattern/update/_to_4.0.4.php, /var/www/vhosts/mysite.com/httpdocs/textpattern/update/_to_4.0.5.php, /var/www/vhosts/mysite.com/httpdocs/textpattern/update/_to_4.0.6.php, /var/www/vhosts/mysite.com/httpdocs/textpattern/update/_to_4.0.7.php, /var/www/vhosts/mysite.com/httpdocs/textpattern/update/_to_4.0.8.php, /var/www/vhosts/mysite.com/httpdocs/textpattern/update/_to_4.2.0.php, /var/www/vhosts/mysite.com/httpdocs/textpattern/update/_to_4.3.0.php, /var/www/vhosts/mysite.com/httpdocs/textpattern/update/_to_4.4.0.php, /var/www/vhosts/mysite.com/httpdocs/textpattern/update/_update.php
————————————
.htaccess file contents:
————————————
#DirectoryIndex index.php index.html
#Options +FollowSymLinks
#Options -Indexes
#ErrorDocument 403 default
<IfModule mod_rewrite.c> RewriteEngine On #RewriteBase /relative/web/path/ RewriteCond %{REQUEST_FILENAME} -f [OR] RewriteCond %{REQUEST_FILENAME} -d RewriteRule ^(.+) – [PT,L] RewriteCond %{REQUEST_URI} !=/favicon.ico RewriteRule ^(.*) index.php RewriteCond %{HTTP:Authorization} !^$ RewriteRule .* – [E=REMOTE_USER:%{HTTP:Authorization}]
</IfModule>
#php_value register_globals 0
————————————
Charset (default/config): latin1/utf8
character_set_client: utf8
character_set_connection: utf8
character_set_database: utf8
character_set_filesystem: binary
character_set_results: utf8
character_set_server: latin1
character_set_system: utf8
character_sets_dir: /usr/share/mysql/charsets/
17 Tables: OK

10 Custom Fields: custom_1, custom_2, custom_3, custom_4, custom_5, custom_6, custom_7, custom_8, custom_9, custom_10 (10)
PHP extensions: Core/5.3.6, date/5.3.6, ereg, libxml, openssl, pcre, zlib/1.1, bz2, calendar, ctype, hash/1.0, filter/0.11.0, ftp, gettext, gmp, SPL/0.2, iconv, Reflection/$Revision: 307971 $, session, standard/5.3.6, shmop, SimpleXML/0.1, sockets, exif/1.4 $Id: exif.c 308362 2011-02-15 14:02:26Z pajoye $, tokenizer/0.1, xml, apache2handler, curl, dom/20031129, eAccelerator/0.9.6-svn358-dev, fileinfo/1.0.5-dev, gd, imap, json/1.2.1, ldap, mbstring, mysql/1.0, mysqli/0.1, PDO/1.0.4dev, pdo_mysql/1.0.2, pdo_sqlite/1.0.1, Phar/2.0.1, SQLite/2.0-dev, wddx, xmlreader/0.1, xmlwriter/0.1, xsl/0.1, zip/1.9.1, ionCube Loader

Apache modules: core, prefork, http_core, mod_so, mod_auth_basic, mod_auth_digest, mod_authn_file, mod_authn_alias, mod_authn_anon, mod_authn_dbm, mod_authn_default, mod_authz_host, mod_authz_user, mod_authz_owner, mod_authz_groupfile, mod_authz_dbm, mod_authz_default, util_ldap, mod_authnz_ldap, mod_include, mod_log_config, mod_logio, mod_env, mod_ext_filter, mod_mime_magic, mod_expires, mod_deflate, mod_headers, mod_usertrack, mod_setenvif, mod_mime, mod_dav, mod_status, mod_autoindex, mod_info, mod_dav_fs, mod_vhost_alias, mod_negotiation, mod_dir, mod_actions, mod_speling, mod_userdir, mod_alias, mod_rewrite, mod_proxy, mod_proxy_balancer, mod_proxy_ftp, mod_proxy_http, mod_proxy_connect, mod_cache, mod_suexec, mod_disk_cache, mod_file_cache, mod_mem_cache, mod_cgi, mod_bw, mod_fcgid, mod_perl, mod_php5, mod_proxy_ajp, mod_python, mod_ssl

pretext_data: array ( \‘id\’ => \’\’, \‘s\’ => \’\’, \‘c\’ => \’\’, \‘context\’ => \’\’, \‘q\’ => \’\’, \‘m\’ => \’\’, \‘pg\’ => \’\’, \‘p\’ => \’\’, \‘month\’ => \’\’, \‘author\’ => \’\’, \‘request_uri\’ => \’/cb678147f472b05e5010c3c456f8ff7a/?txpcleantest=1\’, \‘qs\’ => \‘txpcleantest=1\’, \‘subpath\’ => \’\\\\/\’, \‘req\’ => \’/cb678147f472b05e5010c3c456f8ff7a/?txpcleantest=1\’,
)

Any help will be welcome!

Thanks in advance!

Offline

#2 2011-08-18 02:00:24

duchamp
Member
From: Patagonia
Registered: 2005-02-03
Posts: 222
Website

Re: Nightmare after upgrade from 4.0.6 (r2805) to 4.4.1 (r3575)

Another Error Message inside the Admin:

Warning: gzinflate() [function.gzinflate]: data error in /var/www/vhosts/mysite.com/httpdocs/textpattern/lib/IXRClass.php on line 714

and looking at the templates tab there’s something wrong too!

Offline

#3 2011-08-18 04:45:07

Gocom
Developer
Registered: 2006-07-14
Posts: 4,476
Website

Re: Nightmare after upgrade from 4.0.6 (r2805) to 4.4.1 (r3575)

duchamp wrote:

and looking at the templates tab there’s something wrong too!

Can you save following code as gpc.php to your web server, open the file (http://example.com/gpc.php) in your web browser, and post the given results here?

<?php
	$c = array();
	$c[] = 'Runtime: ' . (@get_magic_quotes_runtime() ? '1' : '0');
	$c[] = 'Set runtime: ' . (@set_magic_quotes_runtime(0) ? '1' : '0');
	$c[] = 'Rutime after: ' . (@get_magic_quotes_runtime() ? '1' : '0');
	$c[] = 'HTTP: ' . (@get_magic_quotes_gpc() ? '1' : '0');
	echo implode(' | ', $c);
?>

If runtime (the first option) is reported back as 1, it’s likely time to contact host and advice them turning off the feature. Magic quotes are deprecated in PHP 5.3 (and newer) and shouldn’t be used. As they are using PHP 5.3.6, they should have stopped relaying to it. They can disable it (if it’s on) by removing magic_quotes_runtime option from PHP’s configuration files (php.ini).

If the runtime option is 1 and the hosting provider refuses to change it system wide, then you can try to add following line to your Textpattern’s config.php, and see if it helps (unfortunately it won’t help if Rutime after is reported as 1 in the gpc.php).

@set_magic_quotes_runtime(0);

If you are wondering, then yes, if the runtime is reported as 1 then that’s the reason why you are seeing all those slashes.

Deprecated [..] at first I thought it was some kind of error in the hosting config

For those notice, nope. Your hosting provider has just updated their servers to use PHP 5.3, and Textpattern 4.0.6 uses features that are deprecated (and some changed) in PHP 5.3 and above. Don’t worry, Textpattern 4.4.1 is compatible with PHP 5.3.


Rah-plugins | What? I’m a little confused… again :-) <txp:is_god />

Offline

#4 2011-08-18 13:24:22

duchamp
Member
From: Patagonia
Registered: 2005-02-03
Posts: 222
Website

Re: Nightmare after upgrade from 4.0.6 (r2805) to 4.4.1 (r3575)

Thank you Gocom
Done! The gpc.php file shows this result:

Runtime: 1 | Set runtime: 1 | Rutime after: 0 | HTTP: 1

also using a info.php file I confirm that ‘—enable-magic-quotes’

I’m going to talk with the host admin!

Offline

#5 2011-08-18 14:12:24

Dragondz
Moderator
From: Algérie
Registered: 2005-06-12
Posts: 1,145
Website

Re: Nightmare after upgrade from 4.0.6 (r2805) to 4.4.1 (r3575)

Hi

In your diag you have a lot of messages “Some Textpattern files have been modified”!! are you sure you uploaded all textpattern files?

Offline

#6 2011-08-18 14:22:10

ruud
Developer emeritus
From: a galaxy far far away
Registered: 2006-06-04
Posts: 4,538
Website

Re: Nightmare after upgrade from 4.0.6 (r2805) to 4.4.1 (r3575)

That’s strange, because txplib_db.php contains this command, so why doesn’t that work?

set_magic_quotes_runtime(0);

Offline

#7 2011-08-18 14:36:04

Gocom
Developer
Registered: 2006-07-14
Posts: 4,476
Website

Re: Nightmare after upgrade from 4.0.6 (r2805) to 4.4.1 (r3575)

ruud wrote:

That’s strange, because txplib_db.php contains this command, so why doesn’t that work?

The command is only executed on servers running PHP version prior to 5.3.


Rah-plugins | What? I’m a little confused… again :-) <txp:is_god />

Offline

#8 2011-08-18 16:31:39

ruud
Developer emeritus
From: a galaxy far far away
Registered: 2006-06-04
Posts: 4,538
Website

Re: Nightmare after upgrade from 4.0.6 (r2805) to 4.4.1 (r3575)

Gocom wrote:

The command is only executed on servers running PHP version prior to 5.3.

Isn’t that a bug? magic_quotes_runtime is deprecated, but obviously still works in PHP 5.3.
set_magic_quotes_runtime() is deprecated, but get_magic_quotes_runtime() is not. I think checking the PHP version is not necessary here.

Offline

#9 2011-08-18 17:27:09

Gocom
Developer
Registered: 2006-07-14
Posts: 4,476
Website

Re: Nightmare after upgrade from 4.0.6 (r2805) to 4.4.1 (r3575)

ruud wrote:

I think checking the PHP version is not necessary here.

Yes, seems so. Ideally we shouldn’t have to take magic quotes into account at all on PHP 5.3 and above, but some do forget to update configuration files. For gpc the default setting, as far as I know, even is the same as before 5.3, which is _on.

Unless then there is some, to us unknown, problem condition the version check solves. Is it common for providers staying on the bleeding edge to disable unnecessary components that you wouldn’t need? Like in case of 5.3, all magic quote functions? Likely not, but anyways just thinking aloud.


Rah-plugins | What? I’m a little confused… again :-) <txp:is_god />

Offline

Board footer

Powered by FluxBB